#include <iostream>
#include <fstream>
#include <ginac/ginac.h>
#include "jit_llvm.h"
using namespace GiNaC;
using namespace std;

int main(int argc, char** argv)
{
	if (argc < 3) {
		cout << "Usage: " << argv[0] << " input.txt output.ll" << std::endl;
		return 1;
	}
	parser ex_parser;
	ifstream input(argv[1]);
	ex e = ex_parser(input);
	input.close();

	exvector vars;
	const symtab& symbols(ex_parser.get_syms());
	for (symtab::const_iterator i = symbols.begin(); i != symbols.end(); ++i)
		vars.push_back(i->second);

	jit_context ctx;
	ctx(e, "e_fcn", vars);
	ctx.save(argv[2]);

	return 0;
}

